> ## Documentation Index
> Fetch the complete documentation index at: https://developer.fin.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Customer Details

> Retrieve detailed information for a specific customer

<Note>
  Use this endpoint to fetch individual customer details. For business customer details, use [Get Customer Details V2](https://developer.fin.com/api-reference/customers/get-customer-details-v2).
</Note>


## OpenAPI

````yaml GET /v1/customers/{customer_id}
openapi: 3.1.0
info:
  title: Fin.com API
  version: 1.0.0
  description: A simple API specification
servers:
  - url: https://sandbox.api.fin.com
    description: Sandbox server
  - url: https://api.fin.com
    description: Production server
security: []
tags:
  - name: Authentication
    description: A modified OAuth 2.0 Client Credential Flow
  - name: Customers
    description: Customer management and document upload operations
  - name: Balances
    description: Retrieve wallet balance information
  - name: Catalogue
    description: |
      A set of endpoints to retrieve contextual data to assemble requests
      to fin.com's API
  - name: Beneficiaries
    description: Manage beneficiary accounts for payments and transfers
  - name: Transactions
    description: Transaction history and management for beneficiaries
  - name: Virtual Accounts
    description: Create and manage virtual accounts for USD to USDC conversions
  - name: Fees & FX Rates
    description: Retrieve fees and foreign exchange rates
paths:
  /v1/customers/{customer_id}:
    get:
      tags:
        - Customers
      summary: Get Customer Details
      description: Retrieve detailed information for a specific customer
      parameters:
        - name: customer_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
          example: 55bd6b4e-c20a-4cc8-9535-91d5557a67d9
      responses:
        '200':
          description: Customer details retrieved successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    oneOf:
                      - $ref: '#/components/schemas/IndividualCustomerDetail'
                      - $ref: '#/components/schemas/BusinessCustomerDetail'
              examples:
                Individual Customer:
                  summary: Individual Customer
                  value:
                    data:
                      customer_id: 56c41b8e-e650-4f55-94f6-26a888a9b64d
                      type: INDIVIDUAL
                      first_name: John
                      last_name: Doe
                      email: john.doe@fin.com
                      phone: '+14724480512'
                      country_of_residence: USA
                      verification_type: STANDARD
                      customer_status: ON_HOLD
                      tos_policies_url: >-
                        https://orchestration.fin.com/orchestration-customer-tos?customer_id=56c41b8e-e650-4f55-94f6-26a888a9b64d&tos_policies_value=e9414388-fbdf-4407-b5c2-bc39eae3645b
                      created_at: '2026-04-15T11:49:27Z'
                      updated_at: '2026-04-15T11:52:48Z'
                      last_status_updated_at: '2026-04-15T11:52:48Z'
                      capabilities:
                        on_ramp:
                          - currency: USD
                            status: false
                            methods:
                              - ACH
                              - FEDWIRE
                            reason:
                              for_customer: null
                              for_developer: null
                        off_ramp:
                          - currency: USD
                            status: false
                            methods:
                              - ACH
                              - FEDWIRE
                              - ACH_SAME_DAY
                            reason:
                              for_customer: null
                              for_developer: Customer is under review
                          - currency: EUR
                            status: false
                            methods:
                              - BANK
                            reason:
                              for_customer: null
                              for_developer: Customer is under review
                          - currency: BDT
                            status: false
                            methods:
                              - BANK
                              - E_WALLET
                            reason:
                              for_customer: null
                              for_developer: Customer is under review
                          - currency: AUD
                            status: false
                            methods:
                              - BANK
                            reason:
                              for_customer: null
                              for_developer: Customer is under review
                          - currency: INR
                            status: false
                            methods:
                              - BANK
                            reason:
                              for_customer: null
                              for_developer: Customer is under review
                          - currency: JPY
                            status: false
                            methods:
                              - BANK
                            reason:
                              for_customer: null
                              for_developer: Customer is under review
                          - currency: NPR
                            status: false
                            methods:
                              - BANK
                            reason:
                              for_customer: null
                              for_developer: Customer is under review
                          - currency: CAD
                            status: false
                            methods:
                              - BANK
                            reason:
                              for_customer: null
                              for_developer: Customer is under review
                          - currency: PKR
                            status: false
                            methods:
                              - BANK
                            reason:
                              for_customer: null
                              for_developer: Customer is under review
                          - currency: PHP
                            status: false
                            methods:
                              - BANK
                            reason:
                              for_customer: null
                              for_developer: Customer is under review
                          - currency: SGD
                            status: false
                            methods:
                              - BANK
                            reason:
                              for_customer: null
                              for_developer: Customer is under review
                          - currency: GBP
                            status: false
                            methods:
                              - BANK
                            reason:
                              for_customer: null
                              for_developer: Customer is under review
                      rejection_reason: null
                      request_for_information: []
                Business Customer:
                  summary: Business Customer
                  value:
                    data:
                      customer_id: 94e6b847-4e19-49e3-b3ab-ffa95872eda9
                      type: BUSINESS
                      business_name: Fin.com
                      email: contact@fin.com
                      phone: '+6591234567'
                      country_of_incorporation: SGP
                      verification_type: STANDARD
                      customer_status: APPROVED
                      tos_policies_url: >-
                        https://orchestration.fin.com/orchestration-customer-tos?customer_id=94e6b847-4e19-49e3-b3ab-ffa95872eda9&tos_policies_value=6955e70b-f9f3-4076-b1ce-5c897085dd24
                      associated_parties:
                        - id: 42daffd3-09a0-4d48-8e73-2680a953d0e1
                          type: INDIVIDUAL
                          ownership_percent: 10
                          email: john.doe@fin.com
                          verification:
                            status: APPROVED
                            reason:
                              for_customer: null
                              for_developer: null
                            updated_at: '2026-04-15T11:29:08Z'
                      created_at: '2026-04-15T11:26:12Z'
                      updated_at: '2026-04-15T11:31:18Z'
                      last_status_updated_at: '2026-04-15T11:29:09Z'
                      capabilities:
                        on_ramp:
                          - currency: USD
                            status: false
                            methods:
                              - ACH
                              - FEDWIRE
                            reason:
                              for_customer: null
                              for_developer: null
                        off_ramp:
                          - currency: USD
                            status: false
                            methods:
                              - ACH
                              - FEDWIRE
                              - ACH_SAME_DAY
                            reason:
                              for_customer: null
                              for_developer: Unsupported at the moment
                          - currency: EUR
                            status: true
                            methods:
                              - BANK
                            reason:
                              for_customer: null
                              for_developer: null
                          - currency: BDT
                            status: true
                            methods:
                              - BANK
                              - E_WALLET
                            reason:
                              for_customer: null
                              for_developer: null
                          - currency: AUD
                            status: true
                            methods:
                              - BANK
                            reason:
                              for_customer: null
                              for_developer: null
                          - currency: INR
                            status: true
                            methods:
                              - BANK
                            reason:
                              for_customer: null
                              for_developer: null
                          - currency: JPY
                            status: true
                            methods:
                              - BANK
                            reason:
                              for_customer: null
                              for_developer: null
                          - currency: NPR
                            status: true
                            methods:
                              - BANK
                            reason:
                              for_customer: null
                              for_developer: null
                          - currency: CAD
                            status: true
                            methods:
                              - BANK
                            reason:
                              for_customer: null
                              for_developer: null
                          - currency: PKR
                            status: true
                            methods:
                              - BANK
                            reason:
                              for_customer: null
                              for_developer: null
                          - currency: PHP
                            status: true
                            methods:
                              - BANK
                            reason:
                              for_customer: null
                              for_developer: null
                          - currency: SGD
                            status: true
                            methods:
                              - BANK
                            reason:
                              for_customer: null
                              for_developer: null
                          - currency: GBP
                            status: true
                            methods:
                              - BANK
                            reason:
                              for_customer: null
                              for_developer: null
                      rejection_reason: null
                      request_for_information: []
        '401':
          $ref: '#/components/responses/AuthenticationError'
        '404':
          description: Customer not found
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: Customer not found
        '422':
          $ref: '#/components/responses/ValidationError'
      security:
        - bearerAuth: []
components:
  schemas:
    IndividualCustomerDetail:
      type: object
      title: Individual
      properties:
        customer_id:
          type: string
          format: uuid
          example: 56c41b8e-e650-4f55-94f6-26a888a9b64d
        type:
          type: string
          enum:
            - INDIVIDUAL
        first_name:
          type: string
          example: John
        last_name:
          type: string
          example: Doe
        email:
          type: string
          format: email
          example: john.doe@fin.com
        phone:
          type: string
          example: '+14724480512'
        country_of_residence:
          type: string
          example: USA
        verification_type:
          type: string
          example: STANDARD
        customer_status:
          type: string
          example: ON_HOLD
        tos_policies_url:
          type: string
          format: uri
          example: >-
            https://orchestration.fin.com/orchestration-customer-tos?customer_id=56c41b8e-e650-4f55-94f6-26a888a9b64d&tos_policies_value=e9414388-fbdf-4407-b5c2-bc39eae3645b
        created_at:
          type: string
          format: date-time
          example: '2026-04-15T11:49:27Z'
        updated_at:
          type: string
          format: date-time
          example: '2026-04-15T11:52:48Z'
        last_status_updated_at:
          type: string
          format: date-time
          example: '2026-04-15T11:52:48Z'
        capabilities:
          type: object
          description: On-ramp and off-ramp capabilities for the customer
          properties:
            on_ramp:
              type: array
              items:
                type: object
                properties:
                  currency:
                    type: string
                    example: USD
                  status:
                    type: boolean
                    example: false
                  methods:
                    type: array
                    items:
                      type: string
                    example:
                      - ACH
                      - FEDWIRE
                  reason:
                    type: object
                    properties:
                      for_customer:
                        type: string
                        nullable: true
                      for_developer:
                        type: string
                        nullable: true
            off_ramp:
              type: array
              items:
                type: object
                properties:
                  currency:
                    type: string
                    example: USD
                  status:
                    type: boolean
                    example: false
                  methods:
                    type: array
                    items:
                      type: string
                    example:
                      - BANK
                  reason:
                    type: object
                    properties:
                      for_customer:
                        type: string
                        nullable: true
                      for_developer:
                        type: string
                        nullable: true
                        example: Customer is under review
        rejection_reason:
          type: object
          nullable: true
          description: Populated when customer_status is REJECTED. Null otherwise.
          example: null
        request_for_information:
          type: array
          description: >-
            List of open requests for additional information. Empty when none
            are outstanding.
          items:
            type: object
          example: []
    BusinessCustomerDetail:
      type: object
      title: Business
      properties:
        customer_id:
          type: string
          format: uuid
          example: 94e6b847-4e19-49e3-b3ab-ffa95872eda9
        type:
          type: string
          enum:
            - BUSINESS
        business_name:
          type: string
          example: Fin.com
        email:
          type: string
          format: email
          example: contact@fin.com
        phone:
          type: string
          example: '+6591234567'
        country_of_incorporation:
          type: string
          example: SGP
        verification_type:
          type: string
          example: STANDARD
        customer_status:
          type: string
          example: APPROVED
        tos_policies_url:
          type: string
          format: uri
          example: >-
            https://orchestration.fin.com/orchestration-customer-tos?customer_id=94e6b847-4e19-49e3-b3ab-ffa95872eda9&tos_policies_value=6955e70b-f9f3-4076-b1ce-5c897085dd24
        associated_parties:
          type: array
          items:
            type: object
            properties:
              id:
                type: string
                format: uuid
                example: 42daffd3-09a0-4d48-8e73-2680a953d0e1
              type:
                type: string
                example: INDIVIDUAL
              ownership_percent:
                type: number
                example: 10
              email:
                type: string
                format: email
                example: john.doe@fin.com
              verification:
                type: object
                properties:
                  status:
                    type: string
                    example: APPROVED
                  reason:
                    type: object
                    properties:
                      for_customer:
                        type: string
                        nullable: true
                      for_developer:
                        type: string
                        nullable: true
                  updated_at:
                    type: string
                    format: date-time
                    example: '2026-04-15T11:29:08Z'
        created_at:
          type: string
          format: date-time
          example: '2026-04-15T11:26:12Z'
        updated_at:
          type: string
          format: date-time
          example: '2026-04-15T11:31:18Z'
        last_status_updated_at:
          type: string
          format: date-time
          example: '2026-04-15T11:29:09Z'
        capabilities:
          type: object
          description: On-ramp and off-ramp capabilities for the customer
          properties:
            on_ramp:
              type: array
              items:
                type: object
                properties:
                  currency:
                    type: string
                    example: USD
                  status:
                    type: boolean
                    example: false
                  methods:
                    type: array
                    items:
                      type: string
                    example:
                      - ACH
                      - FEDWIRE
                  reason:
                    type: object
                    properties:
                      for_customer:
                        type: string
                        nullable: true
                      for_developer:
                        type: string
                        nullable: true
            off_ramp:
              type: array
              items:
                type: object
                properties:
                  currency:
                    type: string
                    example: USD
                  status:
                    type: boolean
                    example: true
                  methods:
                    type: array
                    items:
                      type: string
                    example:
                      - BANK
                  reason:
                    type: object
                    properties:
                      for_customer:
                        type: string
                        nullable: true
                      for_developer:
                        type: string
                        nullable: true
        rejection_reason:
          type: object
          nullable: true
          description: Populated when customer_status is REJECTED. Null otherwise.
        request_for_information:
          type: array
          description: >-
            List of pending information requests. Empty when none are
            outstanding.
          items:
            type: object
  responses:
    AuthenticationError:
      description: Authentication failed due to invalid credentials
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                example: Authentication failed
    ValidationError:
      description: Failed due to a formatting error.
      content:
        application/json:
          schema:
            type: object
            required:
              - message
            properties:
              message:
                type: string
              errors:
                type: array
                items:
                  type: object
                  additionalProperties:
                    type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        Bearer token authentication. Obtain token from [Issue a
        Token](https://developer.fin.com/api-reference/authentication/issue-a-token)
        endpoint

````